catalog:
  title: ROS OpenNI Launch

templates:
- github
- freestyle
- base

variables:
  keywords:
  - ros
  - openni

  github.user: ros-drivers
  github.project: openni_launch

  branches:
  - hydro-devel
  - indigo-devel

  shell.command: |
    export ros=`ls  /opt/ros | tail  -1`
    export prefix=${toolkit.dir}
    export CMAKE_PREFIX_PATH=\$CMAKE_PREFIX_PATH:\$prefix
    export PKG_CONFIG_PATH=\$PKG_CONFIG_PATH:\$prefix/lib/pkgconfig
    . /opt/ros/\$ros/setup.sh

    mkdir -p build && cd build
    cmake .. -DCMAKE_INSTALL_PREFIX=${toolkit.dir}
    make install

versions:
- name: hash-robocup-2016-champion
  variables:
    commit: 58f4cfb36ad8fa926f85f51fa857e41311fa5b1b
